#!/bin/sh
#cr1000ftp.sh

# $ crontab -e
# 00 12 * * * /program/CR1000/cr1000ftp.sh > /dev/null 2>&1

#make null file
if ! [ -f /program/CR1000/ascii/old.ascii ]
then
    cat /dev/null > /program/CR1000/ascii/old.ascii
fi    

#get time
FILENAME=`date +%s`

#ftp
FILENAME=`date +%s`
ftp -i -v -n 192.168.161.83 << END
user kim kim
cd CRD
binary
get 45770.data.dat /program/CR1000/binary/$FILENAME.binary
quit
END

#binary to ascii
/program/CR1000/camp2ascii /program/CR1000/binary/$FILENAME.binary -o /program/CR1000/ascii/$FILENAME.ascii

#differential
diff /program/CR1000/ascii/old.ascii /program/CR1000/ascii/$FILENAME.ascii > /program/CR1000/differential/$FILENAME.diff
rm -rf /program/CR1000/ascii/old.ascii
cp -rp /program/CR1000/ascii/$FILENAME.ascii /program/CR1000/ascii/old.ascii

#compress to bz2 with a unique number
NUMBER=`ls -1 /program/CR1000/differential/ | wc -l`
NUMBER4=`printf "kim%04d" $NUMBER`
bzip2 -k /program/CR1000/differential/$FILENAME.diff 
cp -rp /program/CR1000/differential/$FILENAME.diff.bz2 /program/CR1000/bz2/$NUMBER4.bz2
rm -rf /program/CR1000/differential/$FILENAME.diff.bz2

#send to plato-f
#scp -rp /program/CR1000/bz2/$NUMBER4.bz2 root@192.168.161.6:/send/.
#scp -rp /program/CR1000/bz2/$NUMBER4.bz2 root@192.168.161.7:/send/.
scp -rp /program/CR1000/bz2/$NUMBER4.bz2 okita@192.168.161.90:/send/. # for test transportation

